Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039697
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2018-11-27 09:212018-12-05 11:08
ReporterasiermartirenaView Statuspublic 
Assigned Toasiermartirena 
PrioritynormalResolutionfixedFixed in VersionRR19Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039697: API Changes in javascript for Omnichannel

DescriptionTwo different API changes:

'paidOnCredit' property is set as 'payOnCredit' when synchronizing a ticket using credit. If the ticket is loaded again, the 'paidOnCredit' property is still used.

'paidInNegativeStatusAmt' property removed. This property was used to cover a case that the OrderLoader.java class didn't support. This was not a correct solution.
Now the the flow is supported, so the property is no more necessary.
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108270)
marvintm (developer)
2018-12-05 11:08

http://wiki.openbravo.com/wiki/Retail:API_changes#RR19Q1 [^]

- Issue History
Date Modified Username Field Change
2018-11-27 09:21 asiermartirena New Issue
2018-11-27 09:21 asiermartirena Assigned To => Retail
2018-11-27 09:21 asiermartirena Triggers an Emergency Pack => No
2018-11-27 10:03 marvintm Summary API Chanes in javascript for Omnichannel => API Changes in javascript for Omnichannel
2018-11-27 10:03 marvintm Steps to Reproduce Updated View Revisions
2018-11-27 15:10 marvintm Status new => scheduled
2018-11-27 15:10 marvintm Status scheduled => resolved
2018-11-27 15:10 marvintm Resolution open => fixed
2018-11-28 13:47 marvintm Assigned To Retail => asiermartirena
2018-12-05 11:08 marvintm Review Assigned To => marvintm
2018-12-05 11:08 marvintm Note Added: 0108270
2018-12-05 11:08 marvintm Status resolved => closed
2018-12-05 11:08 marvintm Fixed in Version => RR19Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker